> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apisale.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search runs



## OpenAPI

````yaml /openapi.json post /v1/runs/search
openapi: 3.0.0
info:
  title: apisale Public API
  version: 0.1.0
  description: >-
    Generative media inference, account monitoring, and SDK-compatible routes
    for apisale.ai. Authenticate with `Authorization: Key YOUR_API_KEY`.
servers:
  - url: https://api.apisale.ai
security: []
paths:
  /v1/runs/search:
    post:
      tags:
        - Public Runs
      summary: Search runs
      operationId: RunsController_search
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SearchRunsDto'
      responses:
        '201':
          description: ''
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SearchRunsDto:
      type: object
      properties: {}
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'API key: `Key sk-xxx` or `Bearer sk-xxx`'

````